<?php

namespace plugin\inspection\model;

use think\admin\Model;

class InspectionMessage extends Model
{
    public function staff()
    {
        return $this->belongsTo(InspectionStaff::class, 'staff_id', 'id');
    }

    public function scopeUnread($query)
    {
        return $query->where('status', 0);
    }

    public function scopeRead($query)
    {
        return $query->where('status', 1);
    }
}